OpenPACE

Data Fields
cvc_cert_authentication_request_seq_st Struct Reference

The authentication request, consisting of the certificate request, certificate authority reference and outer signature. More...

`#include <cv_cert.h>`

## Data Fields
CVC_CERT_REQUEST * | request
| certificate request
ASN1_UTF8STRING * | certificate_authority_reference
| Reference to certificate authority that issued this authentication request (in Latin1)
ASN1_OCTET_STRING * | outer_signature
| Signature calculated over the hash of the certificate request.

## Detailed Description

The authentication request, consisting of the certificate request, certificate authority reference and outer signature.

See also
  TR-03110 C.2.

Definition at line 306 of file cv_cert.h.

## Field Documentation

## ◆ certificate_authority_reference

ASN1_UTF8STRING* cvc_cert_authentication_request_seq_st::certificate_authority_reference

Reference to certificate authority that issued this authentication request (in Latin1)

See also
  TR-03110 C.2.2.

Definition at line 312 of file cv_cert.h.

## ◆ outer_signature

ASN1_OCTET_STRING* cvc_cert_authentication_request_seq_st::outer_signature

Signature calculated over the hash of the certificate request.

Definition at line 314 of file cv_cert.h.

## ◆ request

CVC_CERT_REQUEST* cvc_cert_authentication_request_seq_st::request

certificate request

Definition at line 308 of file cv_cert.h.

The documentation for this struct was generated from the following file:

- eac/cv_cert.h